ReportUIComponent (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.client.uicomponents
Class ReportUIComponent

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

    public abstract class ReportUIComponent

extends com.google.gwt.user.client.ui.Composite

`ReportUIComponent` class represent the generic Widget that can be placed in the UI Component

Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary
`int` | `DELTA` the allowance when mouse cursor is on borders
`protected int` | `height` variables of the components
`protected int` | `left` variables of the components
`protected com.google.gwt.user.client.ui.AbsolutePanel` | `mainPanel`
`protected com.google.gwt.user.client.ui.VerticalPanel` | `resizablePanel`
`protected int` | `top` variables of the components
`protected com.google.gwt.user.client.ui.HorizontalPanel` | `topPanel`
`protected int` | `width` variables of the components

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`ReportUIComponent()` default constructor
`ReportUIComponent(ComponentType type, int left, int top, int width, int height)` final Presenter controller removde

Method Summary
`ReportUIComponent` | `get()`
`int` | `getLeft()`
`com.google.gwt.user.client.ui.Widget` | `getMyFakeTextArea()`
`com.google.gwt.user.client.ui.VerticalPanel` | `getResizablePanel()`
`int` | `getTop()`
`ComponentType` | `getType()`
`void` | `hideCloseButton()` remove the close control from the UI
`abstract void` | `lockComponent(ReportUIComponent toLock, boolean locked)` to be implemented by the implementing classes
`abstract void` | `removeTemplateComponent(ReportUIComponent toRemove)` to be implemented by the implementing classes
`void` | `repositionMyPanel(int left, int top)`
`void` | `resizePanel(int width, int height)` used to resize the panel
`void` | `setHeight(int height)`
`void` | `setLeft(int left)`
`void` | `setLocked(boolean locked)`
`void` | `setMyFakeTextArea(com.google.gwt.user.client.ui.Widget myFakeTextArea)`
`void` | `setTop(int top)`
`void` | `setType(ComponentType type)`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELTA

    public final int DELTA

  the allowance when mouse cursor is on borders

  See Also:
    Constant Field Values

### left

    protected int left

  variables of the components

### top

    protected int top

  variables of the components

### width

    protected int width

  variables of the components

### height

    protected int height

  variables of the components

### mainPanel

    protected com.google.gwt.user.client.ui.AbsolutePanel mainPanel

### topPanel

    protected com.google.gwt.user.client.ui.HorizontalPanel topPanel

### resizablePanel

    protected com.google.gwt.user.client.ui.VerticalPanel resizablePanel

Constructor Detail

### ReportUIComponent

    public ReportUIComponent()

  default constructor

### ReportUIComponent

    public ReportUIComponent(ComponentType type,
                             int left,
                             int top,
                             int width,
                             int height)

  final Presenter controller removde

  Parameters:
    `controller` - .
    `left` - left
    `top` - top
    `width` - .
    `height` - .

Method Detail

### getResizablePanel

    public com.google.gwt.user.client.ui.VerticalPanel getResizablePanel()

  Returns:
    .

### removeTemplateComponent

    public abstract void removeTemplateComponent(ReportUIComponent toRemove)

  to be implemented by the implementing classes

  Parameters:
    `toRemove` - the instance to remove from the working space

### lockComponent

    public abstract void lockComponent(ReportUIComponent toLock,
                                       boolean locked)

  to be implemented by the implementing classes

  Parameters:
    `toLock` - the instance to lock

### getType

    public ComponentType getType()

### setType

    public void setType(ComponentType type)

### setLocked

    public void setLocked(boolean locked)

  Parameters:
    `locked` - .

### hideCloseButton

    public void hideCloseButton()

  remove the close control from the UI

### resizePanel

    public void resizePanel(int width,
                            int height)

  used to resize the panel

  Parameters:
    `width` - w
    `height` - h

### setHeight

    public void setHeight(int height)

### repositionMyPanel

    public void repositionMyPanel(int left,
                                  int top)

  Parameters:
    `left` - .
    `top` - .

### getMyFakeTextArea

    public com.google.gwt.user.client.ui.Widget getMyFakeTextArea()

### setMyFakeTextArea

    public void setMyFakeTextArea(com.google.gwt.user.client.ui.Widget myFakeTextArea)

### getLeft

    public int getLeft()

  Returns:
    .

### setLeft

    public void setLeft(int left)

  Parameters:
    `left` - .

### getTop

    public int getTop()

  Returns:
    -.

### setTop

    public void setTop(int top)

  Parameters:
    `top` - .

### get

    public ReportUIComponent get()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.